#version 430

layout(location = 0) in vec4 squareCoords;
layout(location = 1) in vec4 squareColors;

layout(set = 0, binding = 0) uniform MatrixUniforms
{
    mat4 modelviewMat;
    mat4 projMat;
} matrixUniforms;

out vec4 colorsExport;

void main() 
{
    gl_Position = matrixUniforms.projMat * matrixUniforms.modelviewMat * squareCoords;
    colorsExport = squareColors;
}

